Bug 1459261 - vmreconfigure allows circumvention of quota and approval mechanisms
vmreconfigure allows circumvention of quota and approval mechanisms
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate (Show other bugs)
5.6.0
Unspecified Unspecified
high Severity high
: GA
: 5.8.1
Assigned To: William Fitzgerald
Vatsal Parekh
reconfigure:quota
: ZStream
Depends On: 1393552
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-06 12:21 EDT by Satoe Imaishi
Modified: 2017-10-17 05:21 EDT (History)
11 users (show)

See Also:
Fixed In Version: 5.8.1.0
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1393552
Environment:
Last Closed: 2017-08-02 13:26:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 2 CFME Bot 2017-06-06 12:23:57 EDT
New commit detected on ManageIQ/manageiq-content/fine:
https://github.com/ManageIQ/manageiq-content/commit/901889ea13ed813ec39b851873162460834f9cbd

commit 901889ea13ed813ec39b851873162460834f9cbd
Author:     Madhu Kanoor <mkanoor@redhat.com>
AuthorDate: Thu May 4 17:32:59 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Tue Jun 6 12:21:59 2017 -0400

    Merge pull request #56 from billfitzgerald0120/quota_reconfig
    
    Add quota checking for VMReconfigure tests.
    (cherry picked from commit 321e0437581853f1b7667439ca6b25c74de41046)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1459261

 .../QuotaMethods.class/__methods__/requested.rb    | 70 +++++++++++++++++++++-
 .../__methods__/validate_quota.rb                  |  8 +++
 .../vmreconfigurerequest_starting.yaml             | 12 ++++
 .../method_validation/calculate_requested_spec.rb  | 35 ++++++++++-
 .../unit/method_validation/validate_quota_spec.rb  | 50 ++++++++++------
 5 files changed, 154 insertions(+), 21 deletions(-)
 create mode 100644 content/automate/ManageIQ/System/Policy.class/vmreconfigurerequest_starting.yaml
Comment 3 Aziza Karol 2017-07-06 03:59:09 EDT
Tested Vmreconfigure quotas for tenant, group and user as quota source.
Verified reconfiguring the vm over the set limits, under the set limit  and with the same limits. 


Verified:5.8.1.0.20170623170756_3ed4411
Comment 5 errata-xmlrpc 2017-08-02 13:26:33 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1758

Note You need to log in before you can comment on or make changes to this bug.